Skip to main content

Technology at SCU

macOS Catalina (10.15)

Product Information

macOS Catalina (10.15) was released on October 7, 2019.  Technology Support Services will be testing Catalina with our "standard" software to ensure it is compatible.

PLEASE NOTE that macOS Catalina will not support 32-bit software and may require you to upgrade your software (beyond what is supported by Technology Support Services).  Please read How to Determine Which Apps May or May Not Work in macOS Catalina for more information.

Recommendation

macOS Catalina (10.15) is supported by Academic Technology / Technology Support Services.


If you have OS X 10.12 (Sierra) or an older version, we strongly ‚Äčrecommend that you upgrade to at least macOS 10.13 (High Sierra).  Apple is no longer supporting OS X 10.12 (Sierra).

System Requirements

You will need one of the following models in order to run macOS Catalina:

  • Macbook (2015 or newer)
  • MacBook Air (2012 or newer)
  • MacBook Pro (2012 or newer)
  • Mac mini (2012 or newer)
  • iMac (2012 or newer)
  • iMac Pro (2017 or newer)

Recommended minimum hardware:

  • 20 GB of free space
  • 4 GB minimum memory

Software Compatibility

 Please read How to Determine Which Apps May or May Not Work in macOS Catalina for more information.

SoftwareSupported

Active Directory
(access to file shares and logging into the campus network)

Adobe Acrobat Reader DC

Adobe DC, Acrobat 2017 are compatible with the new macOS 10.15 Catalina.

https://helpx.adobe.com/x-productkb/global/fix-macos-64-bit-compatibility-errors.html

Checked
 

Adobe Creative Cloud

Versions 2020 and 2019 are compatible.

https://helpx.adobe.com/x-productkb/global/fix-macos-64-bit-compatibility-errors.html

Checked

Adobe 32-bit Applications (legacy Adobe apps and Adobe CS6)

https://helpx.adobe.com/x-productkb/global/fix-macos-64-bit-compatibility-errors.html

Not checked

Adobe Flash

Flash Player installs and appears to work fine. No official support statement from Adobe regarding macOS 10.15 Catalina support.

Checked

Adobe Photoshop

Photoshop 20.0.7 and later versions work with macOS 10.15 (Catalina) but have these known compatibility issues.  You may want to remain on your current version of macOS until these issues have been resolved.

Photoshop Elements version 2020 is compatible with Catalina

https://helpx.adobe.com/photoshop/kb/photoshop-and-macos-catalina.html

BigFix Client

Client version 9.5.14 is compatible with Catalina.

 

Camino (Canvas)

Canvas is accessible from any computer or mobile device with a Web-standard browser. Canvas supports the latest versions of Chrome, Firefox, Internet Explorer, and Safari

https://www.instructure.com/canvas/node/6036

Checked

Cisco AnyConnect (VPN)

Our VPN system was upgraded to support Catalina on 11/13.  Your Cisco VPN client should prompt for an upgrade if you're running Catalina.

 

Duo

Duo 2FA has been working with macOS 10.15 Catalina.  We are unable to locate any official notice on the Duo website to support this.

https://help.duo.com/s/article/3710?language=en_US

How do I resolve Duo Prompt display issues related to iOS or macOS content restrictions?
macOS 10.15 (Catalina) or higher:

  1. Open System Preferences
  2. Navigate to Screen Time > Preferences > Content & Privacy
  3. Set any Web Content restrictions to Unrestricted access.
    • If you do not want to fully disable content restrictions, you can add duosecurity.com to the whitelist within the Content Restrictions page on the iOS device or to the Allowed Websites Only list on macOS. This will allow the Duo Prompt to display even if content restrictions are enabled.

In addition to the instructions above, please also make sure that JavaScript is enabled in Safari on your macOS or iOS device.

 

ExamSoft

Examsoft has announced it has updated its latest version of Examplify (2.06) to be compatible with Catalina (10.15)

https://examsoft.force.com/emcommunity/s/article/Examplify-2-0-6-Release-Notes

Law Technology Services recommends Law Students wait until after their 2019 finals.

Checked

Google Chrome

Chrome supports macOS 10.10 and higher.

https://support.google.com/chrome/a/answer/7100626?hl=en

Checked
 

MATLAB

MATLAB supports macOS Catalina 10.15

https://www.mathworks.com/support/requirements/matlab-system-requirements.html

Checked

Microsoft Office

Office 2016 for Mac needs to be v15.35 or newer.  Check the version in one of the Office apps.  Example, go to Word > About Microsoft Word (or whichever Application you are checking).

If you have Office 2011 for Mac or before, do NOT update to Catalina because Office will stop working.  Office 2011 for Mac is no longer supported by Microsoft and there is no workaround for this.

Checked
 

Mozilla Firefox

Version 70.0.1 is fully supported.

Checked

Printer Logic

Last release of Printer Logic (August 2019) only officially supports up to Mojave (10.14).  Our testing shows it seems to work fine.


 

SafeConnect

Impulse Point is pushing out a Mac Policy Key on Monday, October 21 to support macOS Catalina.  Testing is not completed.

https://impulsepoint.atlassian.net/wiki/spaces/CK/pages/430866553/Mac+Policy+Key+Push+-+Version+8079.173

Checked

SmartPrint

Pharos supports current version of Uniprint clients (Poup 9.0.10) and macOS 10.15 Catalina.

https://community.pharos.com/message/8652-announcing-support-for-macos-x-1015-catalina

Checked
 

Sophos Home (Personally Owned Computers)

Version 9.9.4 or above is required.  Additional steps are required to successfully install Sophos Home.

  1. Grant full disk access, and
  2. Allow notifications.  

https://support.home.sophos.com/hc/en-us/articles/360032989852-Additional-steps-for-Sophos-Home-installations-on-MacOS-10-15-Catalina-

 

Sophos Central (University Owned Computers)

Version 9.9.4 or above required (released September 2019).  Version 9.9.6 will include a permissions popup to make installs easier.

The permissions will need to be corrected for any computer that upgrades to macOS Catalina or for new Catalina installs.

Sophos Encryption

 

SPSS

SPSS 26 now available and supported on Catalina

SPSS 25 will not be officially supported on Catalina by IBM.

Checked

Zoom Web Conferencing

Zoom is Catalina supported. Version 4.5.5 (5452.1010)
https://support.zoom.us/hc/en-us/articles/201361963-New-Updates-for-Mac-OS

Checked

 

Last Updated 1/9/2020